You will need BBPS Credentials in order to upgrade NetCommunity.

For more information on How to register for the Blackbaud Payment Service (BBPS), please see BB616496